Link a connector
curl --request POST \
--url https://api.hotglue.com/v2/{env_id}/{flow_id}/{tenant}/linkedConnectors \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"connector": {
"id": "<string>",
"config": {},
"symlink": {
"id": "<string>",
"tenant": "<string>",
"type": "target"
}
},
"schedule": {
"schedule_expression": "<string>"
},
"field_map": {}
}
'import requests
url = "https://api.hotglue.com/v2/{env_id}/{flow_id}/{tenant}/linkedConnectors"
payload = {
"connector": {
"id": "<string>",
"config": {},
"symlink": {
"id": "<string>",
"tenant": "<string>",
"type": "target"
}
},
"schedule": { "schedule_expression": "<string>" },
"field_map": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connector: {
id: '<string>',
config: {},
symlink: {id: '<string>', tenant: '<string>', type: 'target'}
},
schedule: {schedule_expression: '<string>'},
field_map: {}
})
};
fetch('https://api.hotglue.com/v2/{env_id}/{flow_id}/{tenant}/linkedConnectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{}Linked connectors
Link a connector
Create a new connection for your tenant, along with an optional schedule and field map, without using the embedded widget.
POST
/
v2
/
{env_id}
/
{flow_id}
/
{tenant}
/
linkedConnectors
Link a connector
Authorizations
Path Parameters
ID of environment
ID of flow
ID of tenant
Body
application/json
Response
200
The response is of type object.
⌘I